%bcond_without  tests

%global         srcname     azure-mgmt-compute

Name:           python-%{srcname}
Version:        22.0.0
Release:        2%{?dist}
Summary:        Microsoft Azure Compute Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif


%global _description %{expand:
Microsoft Azure Compute Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


# LICENSE file is missing. PR made to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20160
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:22.0.0-2
- Added tests via pytest

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:22.0.0-1
- Update to 22.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:21.0.0-2
- Downgrade to 21.0.0

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 22.0.0-1
- Update to 22.0.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 21.0.0-1
- First package.
